// TFT und Touch-Screen Test Programm
// 06/16 von B. Mienert
// erfordert die UTFT,URTouch und UTFT_Buttons Library von Henning Karlsen
// http://www.rinkydinkeletronics.com
#include <UTFT.h>
#include <URTouch.h>
#include <UTFT_Buttons.h>
extern uint8_t SmallFont[];
extern uint8_t BigFont[];
// TFT's mit der Aufschrift 3231-SZ haben einen ILI9341 Chip!
// Zur Zeit (06/16) unterstuetzt die UTFT-Library diesen nicht.
// Ausweg: ILI9327 definieren und in der Datei UTFT.cpp in
// der Zeile word dsy[]={319,399,319 usw. den zweiten Wert
// von 399 in 319 aendern. Ohne diese Aenderung ist die Ausgabe
// auf dem Display nach links verschoben.
// siehe auch https://forum.arduino.cc/index.php?topic=325106.15
UTFT myGLCD(ILI9327, 38, 39, 40, 41);   //SainSmart:SSD1289  Elecfreaks:ILI9327
URTouch  myTouch( 6, 5, 4, 3, 2);
UTFT_Buttons  myButtons(&myGLCD, &myTouch);

void setup() {
  int circle=true, pressed_button;
  myGLCD.InitLCD();
  myGLCD.clrScr();
  myGLCD.setFont(SmallFont);
  myTouch.InitTouch(LANDSCAPE);
  myTouch.setPrecision(PREC_MEDIUM);
  myButtons.setTextFont(BigFont);
  int butMenu1 = myButtons.addButton( 0,  199 , 106,  40, "circle");
  int butMenu2 = myButtons.addButton( 106,  199 , 106,  40, "clear");
  int butMenu3 = myButtons.addButton( 213,  199 , 106,  40, "square");
   myButtons.drawButtons();
    while (true) {
    pressed_button = myButtons.checkButtons();
    if (pressed_button == butMenu1)
    {
     circle=true;
    }
    if (pressed_button == butMenu2)
    {
     myGLCD.clrScr();
     myButtons.drawButtons();
    }
    if (pressed_button == butMenu3)
    {
     circle=false;
    }
   if(circle==true)
      myGLCD.fillCircle(random(280)+20,random(160)+20,20-random(18));
   else
      { 
      int x=random(280);
      int y=random(160);
      int rsize=random(19);
      myGLCD.fillRect(x,y,x+20+rsize,y+20+rsize);
      }
    myGLCD.setColor(random(255),random(255),random(255)); 
    delay(100);
   } 
 
}

void loop() {
  // put your main code here, to run repeatedly:

}
